html {
  box-sizing: border-box;
  background: #ffc600;
  font-size: 20px;
  font-weight: 200;
  font-family: 'helvetica neue';
}

body {
  margin: 0;
}

*, *::before, *::after {
  box-sizing: initial;
}

.panels {
  min-height: 100vh;
  overflow: hidden;
  display: flex;
}

.panel {
  background: #6b0f9c;
  box-shadow: inset 0 0 0 5px rgba(255, 255, 255, .1);
  color: white;
  text-align: center;
  align-items: center;
  transition: 
  font-size 0.7s cubic-bezier(0.61, -0.19, 0.7, -0.11),
  flex 0.7s cubic-bezier(0.61, -0.19, 0.7, -0.11),
  background 0.2s;
  font-size: 20px;
  background-size: cover;
  background-position: center;
  flex: 1;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
}

.panel1 {
  background-image: url('./images/javan.jpeg');
}

.panel2 {
  background-image: url('./images/leeSin.jpeg');
}

.panel3 {
  background-image: url('./images/lux.jpeg');
}

.panel4 {
  background-image: url('./images/vayne.jpeg');
}

.panel5 {
  background-image: url('./images/riven.jpeg');
}

.panel > * {
  margin: 0;
  width: 100%;
  transition: transform 0.5s;
  flex: 1 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.panel > *:first-child {
  transform: translateY(-100%);
}

.panel .open-active > *:first-child {
  transform: translateY(0);
}

.panel > *:last-child {
  transform: translateY(100%);
}

.panel .open-active > *:last-child {
  transform: translateY(0);
}

.panel p {
  text-transform: uppercase;
  font-family: 'Amatic SC', cursive;
  text-shadow: 0 0 4px rgba(0, 0, 0, 0.72), 0 0 14px rgba(0, 0, 0, 0.45);
  font-size: 2em;
}

.panel p:nth-child(2) {
  font-size: 4em;
}

.panel.open {
  font-size: 40px;
  flex: 5
}

.cta {
  color: white;
  text-decoration: none;
}
